# RecursiveTreeIterator::valid

(PHP 5 >= 5.3.0, PHP 7)

RecursiveTreeIterator::valid — Check validity

### Description

public RecursiveTreeIterator::valid ( void ) : bool

Check whether the current position is valid.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the current position is valid, otherwise `FALSE`